#pragma once

#include "afxwin.h"
#include <vector>

using namespace std;
class massnahme
{
public:
    massnahme( void);
    ~massnahme( void);
    CString name;
    int mv1massnahme;
    int abstand2massnahme;
	int abstand3massnahme;
    bool duengung;
    bool streifenmahd;
    int massnahmeID;
    double zahlung;
    double grossvieheinheit;
    int tierart;
    //double viehanzahl;
    double hoehenanteil_niedrig;
    double hoehenanteil_mittel;
    double hoehenanteil_hoch;
	vector<double> regionaleZahlung;

    double berechne_hanteil(
            double besatzdichte_min,
            double besatzdichte_max,
            double hoehe_min,
            double hoehe_max);
    int verfahren_nr; // werte 1-3+8 immer mahd!!!! 4/5 weide!!!!!! 6/7 maehweide!!!!! wichtig sonst Fehler
    bool save_massnahme_in_database();
	//Phillip
	CString toString();

	bool aufWiese();
	bool aufWeide();
	bool aufMaehweide();
	int berechneTyp();
};
